{% extends 'base.html' %}
{% block search%}
<form class="col-12 col-lg-auto mb-3 mb-lg-0 me-lg-3" method="GET">
  <input type="search" class="form-control form-control-white" placeholder="Search..." name="q">
</form>
{% endblock %}
{% block content %}
<div class="jumbotron jumbotron-fluid bg-dark">
    <div class="jumbotron-background" style="background-image: url({{url_for('static', filename="/img/TECHTALKS.jpg")}})"></div>
</div>
<div class="container">
{% for message in get_flashed_messages() %}
	
	<div class="alert alert-success alert-dismissible fade show" role="alert">
	  {{ message }}
	  <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
	</div>
{% endfor %}
</div>
  <div class="album py-5 bg-light">
    <div class="container">
        <h3><center class="title_section_course_home title-home-sectione-smartrain">Featured TechTalks</center></h3>
        <div class="row row-cols-1 row-cols-sm-2 row-cols-md-3 g-3">
        {% if  count_post > 0 %}
          {% for post in posts.items %}
              <div class="col">
                <div class="card shadow-sm">
                <a  href="/detail/{{post.post_id}}">
                {% if post.url %}
                  <img class="bd-placeholder-img card-img-top" width="100%" height="225" src="{{post.url}}" role="img"  preserveAspectRatio="xMidYMid slice" focusable="false"><rect width="100%" height="100%" fill="#55595c"/>
                {% else %}
                  <img class="bd-placeholder-img card-img-top" width="100%" height="225" src="{{url_for('static', filename="/img/default_cover.png")}}" role="img"  preserveAspectRatio="xMidYMid slice" focusable="false"><rect width="100%" height="100%" fill="#55595c"/>
                {% endif %}
                </a>
                  <div class="card-body">
                    <div class="btn-group">
                    <a  href="/detail/{{post.post_id}}" class="card-text" id = "GFG" style="color: black">
                    <strong class="card-text">{{post.title}}</strong>
                    </a>
                    </div>
                    <hr class="new"></hr>
                    <div>
                      <div style="font-size: 15px">
                      <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-person" viewBox="0 0 16 16">
                        <path d="M8 8a3 3 0 1 0 0-6 3 3 0 0 0 0 6zm2-3a2 2 0 1 1-4 0 2 2 0 0 1 4 0zm4 8c0 1-1 1-1 1H3s-1 0-1-1 1-4 6-4 6 3 6 4zm-1-.004c-.001-.246-.154-.986-.832-1.664C11.516 10.68 10.289 10 8 10c-2.29 0-3.516.68-4.168 1.332-.678.678-.83 1.418-.832 1.664h10z"/>
                      </svg>
                          {% if post.speaker %}
                            {% if post.speaker.family_name%}
                              <a  href="/profile/{{post.speaker_id}}" class="card-text" id = "GFG" style="color: black">
                              <p class="text-secondary" style="display: contents">{{post.speaker.family_name}} {{post.speaker.given_name}}</p><br>
                              </a>
                            {% else %}
                              <a  href="/profile/{{post.speaker_id}}" class="card-text" id = "GFG" style="color: black">
                              <p class="text-secondary" style="display: contents">{{post.speaker.name}}</p><br>
                              </a>
                            {% endif %}
                          {% else %}
                            <a  href="/profile/{{post.puid}}" class="card-text" id = "GFG" style="color: black">
                            <p class="text-secondary" style="display: contents">{{post.uploader.name}}</p><br>
                            </a>
                          {% endif %}
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            {% endfor %}
        {% else %}
            <p><center class="text-secondary">Your search did not match any results.</center></p>
        {% endif %}
            
          {% macro render_pagination(pagination, endpoint) %}
            <div class=pagination>
              {% if page %}
                {% if page != pagination.page %}
                  <a class="btn btn-info mb-4" href="{{ url_for(endpoint, page=page) }}">{{ page }}</a>
                {% else %}
                  <strong>{{ page }}</strong>
                {% endif %}
              {% else %}
                <span class=ellipsis>…</span>
              {% endif %}
            </div>
          {% endmacro %}
        </div>
        <div class="container">
          <nav aria-label="Page navigation example">
            <ul class="pagination">
              {%if posts.has_prev %}
              <li class="page-item">
                <a class="page-link" href="./?page={{posts.prev_num}}{{search}}" aria-label="Previous">
                  <span aria-hidden="true">&laquo;</span>
                </a>
              </li>              
              {% endif %}
              {% for page in posts.iter_pages(left_edge=2, right_edge=2, left_current=1, right_current=2) %}
                {% if page %}
                  {%if page != posts.page %}
                    <li class="page-item">
                      <a class="page-link" href="./?page={{page}}{{search}}">{{ page }}</a>
                    </li>
                  {% else %}
                    <li class="page-item active">
                        <a class="page-link" href="./?page={{page}}{{search}}">{{ page }}</a>
                    </li>
                  {% endif %}
                {% else %}
                  <li class="page-item">
                    <a class="page-link" href="" onclick="return false;">...</a>
                  </li>
                {% endif %}
              {% endfor %}
              {%if posts.has_next %}
              <li class="page-item">
                <a class="page-link" href="./?page={{posts.next_num}}{{search}}" aria-label="Next">
                  <span aria-hidden="true">&raquo;</span>
                </a>
              </li>
              {% endif %}
            </ul>
          </nav>
        </div>
    </div>
    
  </div>
{% endblock %}